# -*- rpm-spec -*-
# $Id: xemacs-emms,v 1.4 2005/11/08 11:26:55 me Exp $

%define snapshot 20051107

Name: xemacs-emms
Version: 1.0
Release: alt0.1

%define_xemacs_site_package emms

Summary: Emacs multimedia system
License: GPL
Group: Sound
Url: http://www.gnu.org/software/emms/

Requires: xemacs-base xemacs-locate xemacs-edit-utils xemacs-fsf-compat xemacs-gnus
Requires: mpg321 mp3info vorbis-tools

BuildRequires: texinfo xemacs-locate xemacs-edit-utils xemacs-fsf-compat xemacs-gnus xemacs-w3

Source0: %xemacs_package-%{?snapshot:%snapshot}%{?!snapshot:%version}.tar.bz2
Patch0: %xemacs_package-20051107-alt-make.patch
Patch1: %xemacs_package-20051107-alt-xemacs.patch

%description
EMMS is the Emacs Multi-Media System. It tries to be a clean and small
application to play multimedia files from Emacs using external
players. Many of it's ideas are derived from MpthreePlayer
(http://www.nongnu.org/mp3player), but it tries to be more general and
more clean.

%prep
%setup -qc
%patch0 -p1 -b ..make
%patch1 -p1 -b ..xemacs

%build
%__make EMACS=xemacs

%install
%xemacs_makeinstall
%xemacs_make_pkgel
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files
%doc AUTHORS FAQ README RELEASE

%changelog
* Mon Nov  7 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0-alt0.1
- first attempt

